from cpl_core.configuration.configuration_model_abc import ConfigurationModelABC
from cpl_core.utils.json_processor import JSONProcessor
from cpl_query.extension import List

from modules.boot_log.configuration.boot_log_server_settings import (
    BootLogServerSettings,
)


class BootLogSettings(ConfigurationModelABC):
    def __init__(self, **kwargs: dict):
        ConfigurationModelABC.__init__(self)

        self._servers: List[BootLogServerSettings] = List()
        for s in kwargs:
            kwargs[s]["Id"] = s
            self._servers.append(JSONProcessor.process(BootLogServerSettings, kwargs[s]))

    @property
    def servers(self) -> List[BootLogServerSettings]:
        return self._servers
