from cpl_core.configuration.configuration_model_abc import ConfigurationModelABC


class PermissionServerSettings(ConfigurationModelABC):
    def __init__(self, id: int = None, admin_role_ids: list = None, moderator_role_ids: list = None):
        ConfigurationModelABC.__init__(self)

        self._id: int = 0 if id is None else id
        self._admin_roles: list[int] = [] if admin_role_ids is None else admin_role_ids
        self._moderator_roles: list[int] = [] if moderator_role_ids is None else moderator_role_ids

    @property
    def id(self) -> int:
        return self._id

    @property
    def admin_roles(self) -> list[int]:
        return self._admin_roles

    @property
    def moderator_roles(self) -> list[int]:
        return self._moderator_roles
